net.sourceforge.pmd.lang.xpath

## Class MatchesFunction

- java.lang.Object
- - net.sourceforge.pmd.lang.xpath.MatchesFunction

All Implemented Interfaces:
  org.jaxen.Function

    public class MatchesFunction
    extends Object
    implements org.jaxen.Function

### Constructor Summary

Constructors
Constructor and Description
`MatchesFunction()`

### Method Summary

Methods
`Object` `call(org.jaxen.Context context, List args)`
`static boolean` `matches(String s, String... patterns)`
`static void` `registerSelfInSimpleContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatchesFunction

    public MatchesFunction()

### Method Detail

#### registerSelfInSimpleContext

    public static void registerSelfInSimpleContext()

#### call

    public Object call(org.jaxen.Context context,
              List args)
                throws org.jaxen.FunctionCallException

Specified by:
  `call` in interface `org.jaxen.Function`
Throws:
  `org.jaxen.FunctionCallException`

#### matches

    public static boolean matches(String s,
                  String... patterns)